Main Page Packages Class Hierarchy Compound List File List Compound Members

# namednodemapremovenameditemreturnnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| namednodemapremovenameditemreturnnodevalue (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeNamedItem(name)" method returns the node removed from the map.

Retrieve the third employee and create a NamedNodeMap object of the attributes of the last child. Once the list is created invoke the "removeNamedItem(name)" method with name="street". The "removeNamedItem(name)" method should remove the existing "street" attribute and return it.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D58B193 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-349467F9

Definition at line 48 of file namednodemapremovenameditemreturnnodevalue.java.

## Constructor & Destructor Documentation

namednodemapremovenameditemreturnnodevalue::namednodemapremovenameditemreturnnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file namednodemapremovenameditemreturnnodevalue.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String namednodemapremovenameditemreturnnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file namednodemapremovenameditemreturnnodevalue.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/namednodemapremovenameditemreturnnodevalue";
    00074    }

void namednodemapremovenameditemreturnnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file namednodemapremovenameditemreturnnodevalue.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(namednodemapremovenameditemreturnnodevalue.class,args);
    00077    }

void namednodemapremovenameditemreturnnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file namednodemapremovenameditemreturnnodevalue.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       NodeList elementList;
    00059       Node testAddress;
    00060       NamedNodeMap attributes;
    00061       Node removedNode;
    00062       String value;
    00063       doc = load("staff");
    00064       elementList = doc.getElementsByTagName("address");
    00065       testAddress = elementList.item(2);
    00066       attributes = testAddress.getAttributes();
    00067       removedNode = attributes.removeNamedItem("street");
    00068       value = removedNode.getNodeValue();
    00069       assertEquals("namednodemapRemoveNamedItemReturnNodeValueAssert","No",value);
    00070
    00071    }

The documentation for this class was generated from the following file:

- namednodemapremovenameditemreturnnodevalue.java